MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026490Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-28 13:122016-06-20 19:05
Reporterisz 
Assigned Toski 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026490: Visualization - implement draw commands 'voverlaytext' and 'vlayerline' using AIS_InteractiveObject class
DescriptionIt is necessary to change draw commands 'voverlaytext' and 'vlayerline'in order to work with AIS_InteractiveObject using new 2d-layer system.
Steps To Reproducevdrawtext:
test 3rdparty fonts A7
test v3d raytrace bug24819
test bugs vis bug22879,
test bugs vis bug25121,

vlayerline:
test bugs vis bug22332
Additional information
and documentation updates
It was decided to remove draw command 'voverlaytext' and transfer its functionality to "vdrawtext" command.
TagsNo tags attached.
Test case number3rdparty fonts A7, v3d raytrace bug24819, bugs vis bug22879, bug25121
Attached Filespatch file icon vdrawtext_690.patch (2,025 bytes) 2015-07-31 12:31

- Relationships
related to 0027624closedbugmaster Draw Harness, ViewerTest - vdrawtext command ignores text display options 

-  Notes
(0043866)
git (administrator)
2015-08-06 12:34

Branch CR26490 has been created by isz.

SHA-1: 96f7efb268ab40d28fefbcb878ee8bdfa3f96c3e


Detailed log of new commits:

Author: isz
Date: Thu Aug 6 12:30:55 2015 +0300

    0026490: Visualization - implement draw commands 'voverlaytext' and 'vlayerline' using AIS_InteractiveObject class
    
    Command 'voverlaytext' was removed, its functionality was transfered to command 'vdrawtext'. Corresponding test cases were updated.
    Command 'vlayerline' was implemented on AIS.
(0043867)
isz (developer)
2015-08-06 12:39

Dear Anton,
Please review branch CR26490.
(0043877)
git (administrator)
2015-08-06 13:08

Branch CR26490 has been updated forcibly by isz.

SHA-1: 6c8d0a8f595a3f3b60088b5c71e8c11d9c12f015
(0043879)
apl (developer)
2015-08-06 14:16

Dear bugmaster,

Please test the branch.
(0043888)
git (administrator)
2015-08-06 15:19

Branch CR26490 has been updated forcibly by mkv.

SHA-1: 1457805bc30251f19a3399c5b5fd66a94b921005
(0043904)
mkv (tester)
2015-08-07 12:50

Dear BugMaster,
Branch CR26940 was rebased on IR-2015-08-06 of occt git-repository.
SHA-1: 1457805bc30251f19a3399c5b5fd66a94b921005
(0043905)
mkv (tester)
2015-08-07 12:50

Dear BugMaster,
Branch CR26940 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1457805bc30251f19a3399c5b5fd66a94b921005

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26490-master-occt-64/Debian70-64/3rdparty/fonts/A7.html [^]
http://occt-tests/CR26490-master-occt-64/Windows-64-VC10/3rdparty/fonts/A7.html [^]
3rdparty fonts A7: OK

http://occt-tests/CR26490-master-occt-64/Debian70-64/v3d/raytrace/bug24819.html [^]
http://occt-tests/CR26490-master-occt-64/Windows-64-VC10/v3d/raytrace/bug24819.html [^]
v3d raytrace bug24819: OK

http://occt-tests/CR26490-master-occt-64/Debian70-64/bugs/vis/bug22879.html [^]
http://occt-tests/CR26490-master-occt-64/Windows-64-VC10/bugs/vis/bug22879.html [^]
bugs vis bug22879: OK

http://occt-tests/CR26490-master-occt-64/Debian70-64/bugs/vis/bug25121.html [^]
http://occt-tests/CR26490-master-occt-64/Windows-64-VC10/bugs/vis/bug25121.html [^]
bugs vis bug25121: OK

Testing on Linux:
occt component :
Total MEMORY difference: 90921428 / 91017492 [-0.11%]
Total CPU difference: 18037.439999999035 / 17853.90999999889 [+1.03%]
products component :
Total MEMORY difference: 24881268 / 24836344 [+0.18%]
Total CPU difference: 7154.9099999999935 / 7006.110000000006 [+2.12%]

Testing on Windows:
occt component :
Total MEMORY difference: 56904357 / 56928396 [-0.04%]
Total CPU difference: 16525.217130199067 / 16688.25377529903 [-0.98%]
products component :
Total MEMORY difference: 16010637 / 16018363 [-0.05%]
Total CPU difference: 5193.585291999963 / 5276.780625299962 [-1.58%]

There are no differences in images found by testdiff.
(0044122)
git (administrator)
2015-08-14 10:51

Branch CR26490 has been deleted by inv.

SHA-1: 1457805bc30251f19a3399c5b5fd66a94b921005

- Related Changesets
occt: master 61b0191c
Timestamp: 2015-08-06 10:07:43
Author: isz
Committer: ski
Details ] Diff ]
0026490: Visualization - implement draw commands 'voverlaytext' and 'vlayerline' using AIS_InteractiveObject class

Command 'voverlaytext' was removed, its functionality was transfered to command 'vdrawtext'. Corresponding test cases were updated.
Command 'vlayerline' was implemented on AIS.
mod - src/AIS/AIS_TextLabel.cxx Diff ] File ]
mod - src/AIS/AIS_TextLabel.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/3rdparty/fonts/A7 Diff ] File ]
mod - tests/bugs/vis/bug22879 Diff ] File ]
mod - tests/bugs/vis/bug25121 Diff ] File ]
mod - tests/v3d/raytrace/bug24819 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-28 13:12 isz New Issue
2015-07-28 13:12 isz Assigned To => isz
2015-07-31 12:31 san File Added: vdrawtext_690.patch
2015-08-06 11:21 isz Additional Information Updated View Revisions
2015-08-06 11:32 isz Steps to Reproduce Updated View Revisions
2015-08-06 12:34 git Note Added: 0043866
2015-08-06 12:39 isz Note Added: 0043867
2015-08-06 12:39 isz Assigned To isz => apl
2015-08-06 12:39 isz Status new => resolved
2015-08-06 13:08 git Note Added: 0043877
2015-08-06 14:16 apl Note Added: 0043879
2015-08-06 14:16 apl Assigned To apl => bugmaster
2015-08-06 14:16 apl Status resolved => reviewed
2015-08-06 15:19 git Note Added: 0043888
2015-08-06 15:25 mkv Assigned To bugmaster => mkv
2015-08-07 12:50 mkv Note Added: 0043904
2015-08-07 12:50 mkv Note Added: 0043905
2015-08-07 12:51 mkv Test case number => 3rdparty fonts A7, v3d raytrace bug24819, bugs vis bug22879, bug25121
2015-08-07 12:51 mkv Assigned To mkv => bugmaster
2015-08-07 12:51 mkv Status reviewed => tested
2015-08-14 10:26 ski Changeset attached => occt master 61b0191c
2015-08-14 10:26 ski Assigned To bugmaster => ski
2015-08-14 10:26 ski Status tested => verified
2015-08-14 10:26 ski Resolution open => fixed
2015-08-14 10:51 git Note Added: 0044122
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed
2016-06-20 19:05 san Relationship added related to 0027624


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker